# FormMutator Class Reference

Inheritance diagram for FormMutator:
[legend]

List of all members.

## Public Member Functions

| __construct (EntityProto $proto, &$object)
| getGetter ()

## Private Attributes

| $getter = null

## Detailed Description

Definition at line 12 of file FormMutator.class.php.

## Constructor & Destructor Documentation

FormMutator::__construct | ( | EntityProto $ | proto,
|  | &$ | object |
| ) |  |  |

Reimplemented from PrototypedMethodCaller.

Definition at line 16 of file FormMutator.class.php.

References PrototypedMethodCaller::$object, and Assert::isInstance().

Here is the call graph for this function:

## Member Function Documentation

FormMutator::getGetter | ( |  | ) |

Returns:
  FormGetter

Reimplemented from PrototypedSetter.

Definition at line 26 of file FormMutator.class.php.

## Member Data Documentation

FormMutator::$getter = null`[private]`

Definition at line 14 of file FormMutator.class.php.

The documentation for this class was generated from the following file:

- main/EntityProto/Accessors/FormMutator.class.php